# Zcash Open Major Grants
{: .fs-9 }

ZOMG is a community-elected grants committee that funds Zcash-related projects in order to bring financial privacy to everyone in the world.

{: .fs-6 .fw-300 }

[How to apply](#how-to-apply){: .btn .btn-primary .fs-5 .mb-4 .mb-md-0 .mr-2 } [Learn more](#about-zomg){: .btn .fs-5 .mb-4 .mb-md-0 }

---

## About ZOMG

ZOMG (Zcash Open Major Grants) exists to fund projects that advance the usability, security, privacy, and adoption of Zcash, a privacy-focused cryptocurrency. 

Formerly known as the Major Grants Review Committee, ZOMG was created by community members of the Zcash cryptocurrency in [ZIP 1014](https://zips.z.cash/zip-1014), working within the Zcash governance process.

ZOMG’s funds come from the decision in ZIP 1014 to allocate a portion of all newly created Zcash —over a four year period—to the ZOMG. 

Grants are chosen by a committee of [five members](https://forum.zcashcommunity.com/t/inaugural-post-in-mgrc-updates/37410) who were chosen by the [Zcash Community Advisory Panel](https://www.zfnd.org/governance/community-advisory-panel/) in an [open election](https://vote.heliosvoting.org/helios/elections/fd30d13c-e010-11ea-88f3-4a6a23563c24/view). 

Are you interested in receiving funding for a Zcash-related project? Learn more about [what we fund](#what-we-fund) and [how to apply](#how-to-apply)! 

## What we fund

These are some examples of things we'd like to fund. This purpose of this wishlist is not to serve as an exhaustive list of everything that would be good for the Zcash ecosystem, but as a way to encourage ideas for developers. If your idea to improve Zcash doesn't fit exactly, feel free to surprise us with your proposal! 

**Wallets**

* Zcash hardware wallet support
* Key-management tools
* Physical storage (paper wallets or lightweight hardware) for z-addresses
* Shielded wallets for smartphones (zECC wallet on iOS/Android)
* Web wallets
* Payment URIs
* Easy one-click shielded payments
* Wallet API and SDK libraries
* React Native SDK and libraries
* Network layer privacy solutions for SDKs and libraries
* Performance improvements to SDKs and libraries
* Easy multi-sig tools for Z-addresses (e.g. an implementation of FROST in user-facing wallets)
* Point-of-sale for brick and mortar shops

**Core and Security**

* Alternative implementations of ZebraD and ZcashD
* Solutions to any known privacy or security weakness
* Solutions to network layer privacy
* Security auditing for the core code, and protocols, popular libraries, and wallets
* ZK rollups for Zcash
* Smart Contracts
* State Channels
* Performance improvements to core code, protocols, and popular libraries
* Layer one scaling improvements
* Formal verification
* Identify parts of the Zcash codebase that are security-critical and conducive to formal methods for proving correctness of code
* Use start-of-the-art formal verification tools to construct computer-checkable proofs of their correctness, with respect to suitable security specifications
* Ideas for such components: Sapling circuits (or parts thereof), Bellman cryptographic code (or parts thereof), consensus rules

**Interoperability**

* Atomic swaps
* Zcash on Ethereum, wrapped ZEC 
* Stablecoins on Zcash, ZUSD

**Apps**

* Applications built on top of Zcash network

**Ongoing Services** 

* Accurate blockchain explorer
* Proving key distribution
* Light client servers / infrastructure

**Education**

* Improving “Zcash Protocol Spec” for developers 
* Videos and tutorials about how to use Zcash securely
* User education: TvsZ addresses, Zcash vs other tech
* Websites with educational resources 


## How to apply

1. Make sure to be aware of the below before submitting an application
* If approved, applicants will need to go through a KYC process to be eligible for funding
* Applications can be submitted on a rolling basis, but will be reviewed every other week
* The larger the requested sum, the more diligence and milestones required 
* Questions can be posted to the Zcash forum tagging @ZOMG, prior to submission
2. Submit application 
* From ZcashOMG.org there’s a link to the ZF grants platform
* INSERT PICTURE OF BUTTON
3. Form requires a complete submission 
* Checklist with essential eligibility requirements (format, detail, content, metrics)
* Applications that don’t/can’t meet essential requirements can’t be submitted
4. Application published on the Zcash Forum under ZOMG Applicants
* Community temperature check and crowdsourcing due diligence
* Based on community reactions, ZOMG/applicant may introduce changes
5. ZOMG Members rank 0-3 on shared sheet, greenlight in Bi-Weekly Meeting
* Quick review by all ZOMG members to post to sheet and prepare for bi-weekly
* Conversation to proceed with diligence or nix is had in the bi-weekly
* Ineligible applications shouldn't get to and definitely not pass this stage
6. ZOMG may request improvements to application and perform additional diligence
* ZOMG may include outside experts in the process
* ZOMG will review grantee’s previous grant outcomes, if any.
7. Application finalized with requested improvements
* Finalized application must meet all requirements 
8. ZOMG votes on whether to approve the application or not in bi-weekly
* Simple majority (3 of 5) with the ability for a strong-veto to halt approval and require more discussion.
9. ZOMG publishes its final decision in batches, post bi-weekly approvals
* Published decision should include a short explanation of reasoning
* Decision and explanation published on ZOMG website and Zcash Forum
10. Formal grant agreement between applicant and ZOMG/ZF
* Preparing and signing any required documentation
* Agreement should specify budgets, deliverables, reporting, and disclosures
* Budgets structured with concrete milestones based on size and timeline
11. Funds disbursed by ZF / Work funded through the grant begins
* ZF will request a Zcash z-address from the grantee
* ZF disburses funds in ZEC
12. Interim check ins, support, reports, evaluation / Additional funds disbursed by ZF
* ZOMG and ZF provide necessary support over the duration of the grant period
* Quarterly reports, monthly public dev calls or report, annual report (incl. financial), may be needed depending on scope of the project
* ZOMG allocates and performs work for interim evaluation
* ZF disburses additional funds based on predefined milestones
* Interim reports submitted on Grants.io platform and posted to the Forum in the same thread as original application 
* ZF to review interim reports before signing off on disbursement of additional funds
13. Option to apply for additional funding to continue the project
* Depending on the circumstances, this may happen prior to current grant ending
14. Grant period ends / Applicant delivers final report
* Final report posted to the Forum in the same thread as original application 
15. ZOMG performs and publishes final evaluation
* Evaluation published on a dedicated website and Zcash Forum
* Community feedback/reactions to generate learnings for future grants

Ready to apply?

[Apply now](https://grants.zfnd.org/create-request){: .btn .btn-primary .fs-5 .mb-4 .mb-md-0 .mr-2 }

## Curious to learn more?

* [Follow us on Twitter](https://twitter.com/zcashomg)
* [Ask us a question](https://forum.zcashcommunity.com/c/Grants/33) in the Zcash community forums